## lua-iconv 6

=== Makefile ===
# luaiconv - Performs character set conversions in Lua
# (c) 2005-08 Alexandre Erwin Ittner <aittner@gmail.com>
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHOR OR COPYRIGHT HOLDER BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
# If you use this package in a product, an acknowledgment in the product
# documentation would be greatly appreciated (but it is not required).

#CC = gcc
#RM = rm

# Gives a nice speedup, but also spoils debugging on x86. Comment out this
# line when debugging.
OMIT_FRAME_POINTER = -fomit-frame-pointer

# Name of .pc file. "lua5.1" on Debian/Ubuntu
LUAPKG = lua5.1
CFLAGS = `pkg-config $(LUAPKG) --cflags` -fPIC -O3 -Wall
LFLAGS = -shared $(OMIT_FRAME_POINTER)
INSTALL_PATH = `pkg-config $(LUAPKG) --variable=INSTALL_CMOD`

## If your system doesn't have pkg-config, comment out the previous lines and
## uncomment and change the following ones according to your building
## enviroment.

#CFLAGS = -I/usr/include/lua5.1/ -fPIC -O3 -Wall
#LFLAGS = -shared $(OMIT_FRAME_POINTER)
#INSTALL_PATH = /usr/lib/lua/5.1


all: iconv.so

iconv.lo: luaiconv.c
	$(CC) -o iconv.lo -c $(CFLAGS) luaiconv.c

iconv.so: iconv.lo
	$(CC) -o iconv.so $(LFLAGS) $(LIBS) iconv.lo

install: iconv.so
	make test
	install -D -s iconv.so $(DESTDIR)/$(INSTALL_PATH)/iconv.so

clean:
	$(RM) iconv.so iconv.lo

test: iconv.so test_iconv.lua
	lua test_iconv.lua

=== debian/changelog ===
lua-iconv (6-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.3, no changes necessary
  * Use dh-lua
  * Rename package according to new Lua policy

 -- Jon Bernard <jbernard@debian.org>  Sat, 05 May 2012 20:10:19 -0400

lua-iconv (6-5) unstable; urgency=low

  * Update watchfile to look on github for new releases

 -- Jon Bernard <jbernard@debian.org>  Wed, 05 Oct 2011 20:42:34 -0400

lua-iconv (6-4) unstable; urgency=low

  * Add support for multiarch
  * Bump Standards-Version to 3.9.2, no changes necessary
  * Add debian source format, 3.0 (quilt)

 -- Jon Bernard <jbernard@debian.org>  Sat, 27 Aug 2011 19:35:51 -0400

lua-iconv (6-3) unstable; urgency=low

  * debian/control: Conflicts, Provides, and Replaces lua-iconv
    (Closes: #557052)

 -- Jon Bernard <jbernard@debian.org>  Fri, 20 Nov 2009 18:58:12 -0600

lua-iconv (6-2) unstable; urgency=low

  * debian/control: update package name to conform to lua standard
    (Closes: #544958)
  * debian/control: add Vcs fields
  * debian/control: update package description
  * debian/watch: look for new upstream releases on luaforge (Closes: #544960)

 -- Jon Bernard <jbernard@debian.org>  Wed, 28 Oct 2009 11:58:00 -0400

lua-iconv (6-1) unstable; urgency=low

  * Initial release (Closes: #540298)

 -- Jon Bernard <jbernard@debian.org>  Sun, 02 Aug 2009 13:50:50 -0400

=== debian/control ===
Source: lua-iconv
Section: interpreters
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua, pkg-config
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-iconv
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-iconv
Homepage: http://luaforge.net/projects/lua-iconv/

Package: lua-iconv
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lua5.1
Replaces: liblua5.1-iconv0 (<< 6-4~)
Breaks: liblua5.1-iconv0 (<< 6-4~)
Provides: liblua5.1-iconv0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: iconv bindings for the Lua programming language
 This package provides POSIX 'iconv' bindings for the Lua programming language.
 It converts a sequence of characters from one codeset into a sequence of
 corresponding characters in another codeset.

Package: lua-iconv-dev
Architecture: any
Depends: lua-iconv (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: iconv bindings for Lua - development files
 This package contains the development files of the Lua iconv
 library bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).

Package: liblua5.1-iconv0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-iconv
Description: Transitional package for lua-iconv
 This is a transitional package to ease upgrades to the lua-iconv
 package. It can safely be removed.

## lua-iconv 7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # luaiconv - Performs character set conversions in Lua
-# (c) 2005-08 Alexandre Erwin Ittner <aittner@gmail.com>
+# (c) 2005-10 Alexandre Erwin Ittner <alexandre@ittner.com.br>
 #
 # Permission is hereby granted, free of charge, to any person obtaining
 # a copy of this software and associated documentation files (the
@@ -28,21 +28,28 @@
 
 # Gives a nice speedup, but also spoils debugging on x86. Comment out this
 # line when debugging.
-OMIT_FRAME_POINTER = -fomit-frame-pointer
+OMIT_FRAME_PTR = -fomit-frame-pointer
 
-# Name of .pc file. "lua5.1" on Debian/Ubuntu
-LUAPKG = lua5.1
-CFLAGS = `pkg-config $(LUAPKG) --cflags` -fPIC -O3 -Wall
-LFLAGS = -shared $(OMIT_FRAME_POINTER)
-INSTALL_PATH = `pkg-config $(LUAPKG) --variable=INSTALL_CMOD`
+LUABIN = lua
+LUAPKG = lua5.2
+CFLAGS = `pkg-config $(LUAPKG) --cflags` -fPIC -O3 -Wall $(OMIT_FRAME_PTR)
+LFLAGS = -shared
 
-## If your system doesn't have pkg-config, comment out the previous lines and
-## uncomment and change the following ones according to your building
-## enviroment.
+INSTALL_PATH = `$(LUABIN) -e'                           \
+    for dir in package.cpath:gmatch("(/[^?;]+)?") do    \
+        io.write(dir)                                   \
+        os.exit(0)                                      \
+    end                                                 \
+    os.exit(1)                                          \
+'`
 
-#CFLAGS = -I/usr/include/lua5.1/ -fPIC -O3 -Wall
-#LFLAGS = -shared $(OMIT_FRAME_POINTER)
-#INSTALL_PATH = /usr/lib/lua/5.1
+## If your system doesn't have pkg-config or if you do not want to get the
+## install path from Lua, comment out the previous lines and uncomment and
+## change the following ones according to your building environment.
+
+#CFLAGS = -I/usr/local/include/ -fPIC -O3 -Wall $(OMIT_FRAME_PTR)
+#LFLAGS = -shared
+#INSTALL_PATH = /usr/local/lib/lua/5.2/
 
 
 all: iconv.so

=== debian/changelog ===
lua-iconv (7-3) unstable; urgency=medium

  * [d27c90a] debian/watch: query github directly for release tags
  * [5c18de6] Remove gbp.conf, no necessary anymore
  * [1f0a736] Update vcs fields.
    Thanks to Asbjørn Sloth Tønnesen (Closes: #826754)
  * [8e5f195] Add support for lua 5.3.
    Thanks to Asbjørn Sloth Tønnesen (Closes: #826755)
  * [1276c3f] Bump debhelper dependency version to 9
  * [17d3726] Bump standards version to 3.9.8, no changes necessary
  * [273b703] Remove old transition package, no needed anymore

 -- Jon Bernard <jbernard@debian.org>  Wed, 22 Jun 2016 15:41:35 +0000

lua-iconv (7-2) unstable; urgency=low

  * Add debian/gbp.conf
  * Update watch file

 -- Jon Bernard <jbernard@debian.org>  Tue, 27 Nov 2012 13:51:14 -0500

lua-iconv (7-1) unstable; urgency=low

  * New upstream version 7
  * control: update homepage url
  * copyright: update upstream author email address
  * Build packages for both lua 5.1 and 5.2

 -- Jon Bernard <jbernard@debian.org>  Mon, 28 May 2012 16:15:06 -0400

=== debian/control ===
Source: lua-iconv
Section: interpreters
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9~), dh-lua (>= 21), pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-iconv.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-iconv.git/
Homepage: http://ittner.github.com/lua-iconv/

Package: lua-iconv
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: iconv bindings for the Lua programming language
 This package provides POSIX 'iconv' bindings for the Lua programming language.
 It converts a sequence of characters from one codeset into a sequence of
 corresponding characters in another codeset.

Package: lua-iconv-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, lua-iconv (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: iconv bindings for Lua - development files
 This package contains the development files of the Lua iconv
 library bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).

=== debian/watch ===
version=3
https://github.com/ittner/lua-iconv/tags .*-(.*).tar.gz
